Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest
Class MessageServiceConfiguration

    java.lang.Object
      org.hornetq.rest.MessageServiceConfiguration

    public class MessageServiceConfiguration

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`MessageServiceConfiguration()`

Method Summary
`int` | `getConsumerSessionTimeoutSeconds()`
`int` | `getConsumerWindowSize()`
`java.lang.String` | `getInVmId()`
`int` | `getProducerSessionPoolSize()`
`java.lang.String` | `getQueuePushStoreDirectory()`
`int` | `getTimeoutTaskInterval()`
`java.lang.String` | `getTopicPushStoreDirectory()`
`boolean` | `isDefaultDurableSend()`
`boolean` | `isDupsOk()`
`boolean` | `isUseLinkHeaders()`
`void` | `setConsumerSessionTimeoutSeconds(int consumerSessionTimeoutSeconds)`
`void` | `setConsumerWindowSize(int consumerWindowSize)`
`void` | `setDefaultDurableSend(boolean defaultDurableSend)`
`void` | `setDupsOk(boolean dupsOk)`
`void` | `setInVmId(java.lang.String inVmId)`
`void` | `setProducerSessionPoolSize(int producerSessionPoolSize)`
`void` | `setQueuePushStoreDirectory(java.lang.String queuePushStoreDirectory)`
`void` | `setTimeoutTaskInterval(int timeoutTaskInterval)`
`void` | `setTopicPushStoreDirectory(java.lang.String topicPushStoreDirectory)`
`void` | `setUseLinkHeaders(boolean useLinkHeaders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageServiceConfiguration

    public MessageServiceConfiguration()

Method Detail

### getInVmId

    public java.lang.String getInVmId()

### setInVmId

    public void setInVmId(java.lang.String inVmId)

### isUseLinkHeaders

    public boolean isUseLinkHeaders()

### setUseLinkHeaders

    public void setUseLinkHeaders(boolean useLinkHeaders)

### isDefaultDurableSend

    public boolean isDefaultDurableSend()

### setDefaultDurableSend

    public void setDefaultDurableSend(boolean defaultDurableSend)

### isDupsOk

    public boolean isDupsOk()

### setDupsOk

    public void setDupsOk(boolean dupsOk)

### getTopicPushStoreDirectory

    public java.lang.String getTopicPushStoreDirectory()

### setTopicPushStoreDirectory

    public void setTopicPushStoreDirectory(java.lang.String topicPushStoreDirectory)

### getQueuePushStoreDirectory

    public java.lang.String getQueuePushStoreDirectory()

### setQueuePushStoreDirectory

    public void setQueuePushStoreDirectory(java.lang.String queuePushStoreDirectory)

### getProducerSessionPoolSize

    public int getProducerSessionPoolSize()

### setProducerSessionPoolSize

    public void setProducerSessionPoolSize(int producerSessionPoolSize)

### getTimeoutTaskInterval

    public int getTimeoutTaskInterval()

### setTimeoutTaskInterval

    public void setTimeoutTaskInterval(int timeoutTaskInterval)

### getConsumerSessionTimeoutSeconds

    public int getConsumerSessionTimeoutSeconds()

### setConsumerSessionTimeoutSeconds

    public void setConsumerSessionTimeoutSeconds(int consumerSessionTimeoutSeconds)

### getConsumerWindowSize

    public int getConsumerWindowSize()

### setConsumerWindowSize

    public void setConsumerWindowSize(int consumerWindowSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.